﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Primeval
{
    /// <summary>
    /// This class represents a bullet on the screen
    /// </summary>
    class Bullet : Projectile
    {
        protected override float radius { get { return gunRadius; } }

        private float gunRadius;

        public Bullet(float velocity, float damage, Vector2 direction)
            : base(velocity, damage, direction)
        {
            gunRadius = 10;
        }

        public Bullet(float velocity, float damage, float radius, Vector2 direction, Bot owner)
            : base(velocity, damage, direction, owner)
        {
            gunRadius = radius;
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(
                bullet,
                Game1.TransformToDraw(position),
                null,
                Color.White,
                0,
                new Vector2(bullet.Width, bullet.Height) / 2,
                radius * 2 / bullet.Width,
                SpriteEffects.None,
                1f);
        }
    }
}
